
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: gcc41: extra fixes

This patch adds two more fixes to gcc41:
- Fix up config.guess to autodetect ARM EABI platforms (merged in
  upstream config.guess.)
- When building on armv4t, downgrade default -mcpu= from arm10 to
  arm9.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -208,6 +208,8 @@ Patch73: gcc41-pr34094.patch
 Patch74: gcc41-pr34130.patch
 Patch75: gcc41-pr34146.patch
 Patch76: gcc41-rh364001.patch
+Patch77: gcc41-arm-config-guess-fix.patch
+Patch78: gcc41-unbreak-armv4t.patch
 
 # On ARM EABI systems, we do want -gnueabi to be part of the
 # target triple.
@@ -565,6 +567,10 @@ which are required to run programs compi
 %patch74 -p0 -b .pr34130~
 %patch75 -p0 -b .pr34146~
 %patch76 -p0 -b .rh364001~
+%patch77 -p0 -b .armconfig~
+%ifarch armv4tb armv4tl
+%patch78 -p0 -b .armv4t~
+%endif
 
 %if %{bootstrap_java}
 tar xjf %{SOURCE10}
